# Module `button`

awesome button API

### Info:

- Author: Julien Danjou <julien@danjou.info>
- Copyright: 2008-2009 Julien Danjou

## Functions

connect_signal (name, func) | Add a signal.
disconnect_signal (name, func) | Remove a signal.
emit_signal (name, ...) | Emit a signal.
instances () | Get the number of instances.

## Tables

button | Button object.

## Functions

connect_signal (name, func)
  Add a signal.

  ### Parameters:

  - name A signal name.
  - func A function to call when the signal is emitted.
disconnect_signal (name, func)
  Remove a signal.

  ### Parameters:

  - name A signal name.
  - func A function to remove.
emit_signal (name, ...)
  Emit a signal.

  ### Parameters:

  - name A signal name.
  - ... Various arguments, optional.
instances ()
  Get the number of instances.

  ### Returns:

  The number of button objects alive.

## Tables

button
  Button object. button is pressed.

  ### Fields:

  - button The mouse button number, or 0 for any button.
  - modifiers The modifier key table that should be pressed while the

generated by LDoc 1.3